# MrzDocumentType enum

Inheritance
  - Object
  - Enum
  - MrzDocumentType

## Constructors

MrzDocumentType()
  const

## Values

Undefined → const MrzDocumentType
CrewMemberCertificate → const MrzDocumentType
IDCard → const MrzDocumentType
Passport → const MrzDocumentType
Visa → const MrzDocumentType
SwissDriverLicense → const MrzDocumentType

## Properties

hashCode → int
  The hash code for this object.
  read-only inherited
index → int
  A numeric identifier for the enumerated value.
  read-only inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited

## Constants

values → const List<MrzDocumentType>
  A constant List of the values in this enum, in order of their declaration.
  `[Undefined, CrewMemberCertificate, IDCard, Passport, Visa, SwissDriverLicense]`